/*
******************************************************************

CSS for navigation

(c) sinntun.codes
******************************************************************
*/


/*****************************************************************
*********** Navigation (Nav1))
******************************************************************/


.nav1 {
    display: flex;
    display: -webkit-box;
    display: -ms-flexbox;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: space-between;
}

.nav1-item {
    float: none;
    position: relative;
}


.nav1-link {
    border-bottom: 0.625rem solid #fff;
    padding: 0.3125rem 0.25rem 0.3125rem 0.9375rem;
    display: inline-block;
}

.nav1-item.has-subnav .nav1-link {
    padding-right: 0;
}

.nav1-item.has-subnav button {
    background: none;
    border: none;
    font-size: 1rem;
    margin-right: 1.4rem;
    margin-left: 0.2rem;
}

.nav1-item.has-subnav > button {
    margin-right: 0.2rem;
    width: 1.5rem;
    height: 1.5rem;
}

.nav1-item.has-subnav button:focus-visible {
    outline: 0.188rem solid #000;
}

.nav1-item.has-subnav button .fa-chevron-down:before {
    font-weight: 400;
}

.nav1-link:focus-visible {
    outline: #000 solid 0.188rem;
    outline-offset: -1.3rem;
}

.nav1-item.has-subnav .nav1-link:focus-visible {
    padding-right: 1.5625rem;
    margin-right: -1.5625rem;
}


.nav1-link span {
    font-size: 1.25rem;
    line-height: initial;
    color: #000000;
}

.nav1-link.active span,
.nav1-link:hover span,
.nav1-item.navHover .nav1-link span,
.nav1-item.navHover > span,
.nav1-item.has-subnav.active .nav1-link::after,
.nav1-item.has-subnav:hover .nav1-link::after {
    color: #494949;
    text-decoration: underline;
}

.nav2-item.navHover {
    background: #ff8b00;
}

.nav1-link-last {
    position: relative;
    z-index: 2000;
}


/*****************************************************************
*********** Navigation (Nav1 with Nav2 Dropdown)
******************************************************************/

.nav2dropdown {
    background-color: #fff;
    display: none;
    min-width: 11.25rem;
    margin-left: 0.25rem;
    padding: 0;
    position: absolute;
    z-index: 9999;
}

.nav2dropdown span {
    color: #1E4231;
}

.nav2dropdown li {
    font-size: 1.25rem;
    border-bottom: 0.3125rem solid #5f5f5f;
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    padding-left: 0.3125rem;
}

li.has-subnav:hover > ul.nav2dropdown {
    display: block;
}

@media only screen and (max-width: 103.125rem) {
    #main-navigation .nav2-item {
        min-width: 14.0625rem;
        max-width: 14.0625rem;
    }

    #main-navigation .nav3 {
        left: 14rem;
    }

    #main-navigation .nav3 .nav3-container {
        width: 16.25rem;
    }
}

/*****************************************************************
*********** Navigation (Nav2))
******************************************************************/


.nav2 {
    height: 86vh;
    overflow: visible;
    display: none;
    position: absolute;
    top: 4.8125rem;
    left: 0;
    width: 100vw;

    padding: 1.25rem 0rem;
    font-size: 1.125rem;
    font-weight: 900;
    border-bottom: 0.4375rem solid #fff;
}

.nav2 .nav-hover-background {
    background: rgba(117, 117, 117, .75);
    height: 100vh;
    width: 200vw;
    position: absolute;
    top: 0.0625rem;
    transform: translateX(-100vw);
}

.nav2 .nav2-container {
    position: relative;
    height: calc(100vh - 6rem);
    overflow: visible;
}

.nav1-item:hover > .nav2 {
    display: block;
    animation-name: fadeInOpacity;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: .5s;
}

.nav2-item {
    display: flex;
    float: none;
    width: 30%;
    min-width: 18.75rem;
    height: auto;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background: #fff;
    border-radius: 0.625rem;
    max-width: 18.75rem;
    margin-bottom: 0.313rem;
}

.nav2-item:has(.active) {
    background: #ff8C00;
}

.nav2-item.has-subnav button .fa-chevron-right {
    font-weight: 400;
}

.nav2-item.has-subnav > button {
    width: 2rem;
}

.nav2-item.has-subnav > button:focus-visible {
    width: 2rem;
}


.nav2-link {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0.625rem 0.9375rem;
    overflow: hidden;
    border-radius: 0.625rem;
    display: flex;
    align-items: center;
}

.nav2-link:focus-visible {
    outline: 0.188rem solid #000;
    outline-offset: -0.188rem;
}

.nav2-link span {
    font-family: 'Open Sans Bold';
}

/*****************************************************************
*********** Navigation (Nav2))
******************************************************************/

.nav3 {
    height: fit-content;
    overflow: hidden;
    display: none;
    position: absolute;
    left: 18.75rem;
    top: 0;
    padding-left: 0.3125rem;
    width: 21.875rem;
    box-sizing: border-box;
    min-height: 100%;
}

.nav2-item:hover > .nav3 {
    display: block;
    animation-name: fadeInOpacity;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: .5s;
}

.nav3-item {
    display: block;
    padding: 0.4375rem 0.625rem;
    background: #fff;
}

.nav3-link {
    font-weight: normal;
    display: flex;
    align-items: center;
}

.nav3-link:focus-visible {
    outline: 0.188rem solid #000;
}

.nav3-item:first-child {
    border-top-right-radius: 0.625rem;
    border-top-left-radius: 0.625rem;
}

.nav3-item:last-child {
    border-bottom-right-radius: 0.625rem;
    border-bottom-left-radius: 0.625rem;
}

.nav3-link::before {
    content: '\f054';
    font-family: 'Font Awesome 6 Pro';
    margin-right: 0.625rem;
}

/*****************************************************************
*********** Navigation Meta
******************************************************************/

#meta-navigation {
    float: right;
    margin-right: 5rem;
}

#meta-navigation .nav-meta-item {
    display: inline-block;
    margin-right: 0.3125rem;
}

#meta-navigation .nav-meta-link {
    display: inline-block;
}

/*****************************************************************
*********** Navigation Footer
******************************************************************/

.nav-footer {
    width: auto;
    height: auto;
    list-style: none !important;
    display: flex;
    gap: 1.5rem;
    flex-wrap: wrap;
}

.nav-footer-item {
    width: auto;
    height: auto;
    float: none;
    margin-right: 0;
}

.nav-footer-link {
    font-size: 1.125rem;
    line-height: 1.375rem;
}

@media only screen and (max-width: 32.5rem) {
    .nav-footer {
        justify-content: center;
    }
}


/*****************************************************************
*********** Lang-Selector
******************************************************************/

.lang-selector {
    float: right;
    width: 16.875rem;
}

.lang-selector-item {
    display: block;
    float: right;
}

.lang-selector-link {
    display: inline-block;
    padding: 0.625rem;
}

.lang-selector-link:hover {
    padding: 0.625rem;
}

.lang-selector-link.lang-de::before {
    content: ' ';
    display: inline-block;
    position: relative;
    background: url('/_images/flagge-de.png') no-repeat;
    width: 1.5625rem;
    height: 0.9375rem;
    background-size: 100% auto;
    margin-right: 0.4375rem;
    margin-top: 0.1875rem;
}

.lang-selector-link.lang-en::before {
    content: ' ';
    display: inline-block;
    position: relative;
    background: url('/_images/flagge-gb.png') no-repeat;
    width: 1.5625rem;
    height: 0.9375rem;
    background-size: 100% auto;
    margin-right: 0.4375rem;
    margin-top: 0.1875rem;
}

@keyframes fadeInOpacity {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
